#!/usr/bin/perl
#
#
#
#


use strict;

use Doctaur_libs::Net::SMTP;
use Doctaur_libs::Insert_parts;
my $ins_obj = Insert_parts->open();

my $response = "Message has been sent. Thank you.";

if ($ins_obj->{params}->get('email') eq '' || $ins_obj->{params}->get('message') eq '')
{
    $response = "You have forgot to fill email or text of message, <A HREF=\"support.pl\">please try again.</A>";
}
else
{
    open (F, $ins_obj->{conf}->get('prefix_dir')."/messages.txt");
    my @lines = <F>;
    close F;
    my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime(time);
    $mon++;
    $year+=1900;
    $mon=~ s/^(.)$/0$1/;
    $mday=~ s/^(.)$/0$1/;
    $hour=~ s/^(.)$/0$1/;
    $min=~ s/^(.)$/0$1/;
    my @new_messages = ("email: ".$ins_obj->{params}->get('email')."\n","date: $year-$mon-$mday $hour:$min\n", "message:\n",$ins_obj->{params}->get('message')."\n", "\n","------------------------------------------------------------\n","\n");
    push (@new_messages, @lines);
    
    open (F, ">$ins_obj->{conf}->{conf}->{'prefix_dir'}/messages.txt");
    print F @new_messages;
    close F;
    
    my $smtp = Net::SMTP->new($ins_obj->{conf}->get('SMTP'),Hello=>$ins_obj->{conf}->get('SMTP'), Debug=>0);
    if ($smtp)
    {
        $smtp->mail($ins_obj->{params}->get('email'));
        $smtp->to('info@doctaur.com');
        $smtp->data();
        $smtp->datasend("Subject: New DocTaur message\n");
        $smtp->datasend("\n");
        $smtp->datasend($ins_obj->{params}->get('email')." send:\n");
        $smtp->datasend($ins_obj->{params}->get('message')."\r\n");
        $smtp->dataend();
        $smtp->quit;
    }
}


my $qs = $ENV{'QUERY_STRING'};



$ins_obj->insert_all_behind_body();
$ins_obj->insert_title('Support');

print qq!
                        $response
!;

$ins_obj->insert_foot();
