<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' xmlns:saxon="http://icl.com/saxon" extension-element-prefixes="saxon" version="1.0"> 

<xsl:template match="/*" priority="10">
  <xsl:element name="{name()}">
    <xsl:apply-templates select="*">
      <xsl:sort select="@*" case-order="lower-first"/>
    </xsl:apply-templates>
  </xsl:element>
</xsl:template>

<xsl:template match="node()|@*">
  <xsl:copy>
    <xsl:apply-templates select="node()|@*"/>
  </xsl:copy>
</xsl:template>


</xsl:stylesheet>












