package Folders;
use strict;

require Exporter;
our @ISA = qw(Exporter);
our @EXPORT_OK = qw();


sub open
{
  my ($pkg) = @_;
  return bless ({},$pkg);
}

sub is_leaf
{
  my ($obj, $path) = @_;
    my $return =1;
    opendir (DH_ISLEAF, $path);
    while (my $subitem = readdir(DH_ISLEAF))
    {
        if ($subitem eq 'doctaur-folder.conf'){$return=0;}
    }
    closedir(DH_ISLEAF);
    return $return;
}


sub get_item_index
{
  
    my ($obj, $path) = @_;
    CORE::open (F, "$path/doctaur-manual.conf");
    my @lines = <F>;
    close F;
    my $return='';
    foreach my $line (@lines)
    {
        if ($line=~/index=(.*$)/)
        {
            $return = $1;
        }
    }
    return $return;
}

sub get_item_name
{
    my ($obj, $path) = @_;
    my @lines;
    if ($obj->is_leaf($path))
    {
        CORE::open (F, "$path/doctaur-manual.conf");
        @lines = <F>;
        close F;
    }
    else
    {
        CORE::open (F, "$path/doctaur-folder.conf");
        @lines = <F>;
        close F;
    }
    my $return = $path;
    $return =~ s/.*\/([^\/]*)$/$1/;
    foreach my $line (@lines)
    {
        if ($line=~/name=(.*$)/)
        {
            $return = $1;
        }
    }
    return $return;
}

sub get_subitems
{
  my ($obj, $dir) = @_;
  if ($dir=~/[^\/]$/){$dir.='/';}
  my @return;
  opendir (DH, $dir);
  my @readed_dirs;
  while (my $item = readdir(DH)){push(@readed_dirs,$item);}
  @readed_dirs = sort(@readed_dirs);
  foreach my $item (@readed_dirs)
  {
      if ($item ne '.' && $item ne '..')
      {
          my @a=stat($dir.$item);
          if ($a[2]<17000 && $a[2]>=16000)
          {
              push (@return, $item);
          }
      }
  }
  closedir (DH);
  return \@return;
}

1;