#!/usr/bin/perl
#
#
#
#


use strict;

use Doctaur_libs::Insert_parts;
my $ins_obj = Insert_parts->open();


my $is_logged = $ins_obj->{pass_control}->admin_is_logged($ENV{'HTTP_COOKIE'});

if (!$is_logged) {print "Status: 302 Temporarily Moved\r\nLocation: login.pl?loc=sttngs\r\n\r\n";exit;}



$ins_obj->insert_all_behind_body();
$ins_obj->insert_title('DocTaur settings');

my $support_enabled_checked_yes = '';
my $support_enabled_checked_no = '';
my $help_enabled_checked_yes = '';
my $help_enabled_checked_no = '';
if ($ins_obj->{conf}->get('support_enabled') ne 'no') {$support_enabled_checked_yes = 'checked';}
else {$support_enabled_checked_no = 'checked';}
if ($ins_obj->{conf}->get('help_enabled') ne 'no') {$help_enabled_checked_yes = 'checked';}
else {$help_enabled_checked_no = 'checked';}


print qq!
                        <TABLE CELLPADDING=0 CELLSPACING=0>
                        <FORM METHOD="post" NAME="settings" ACTION="settings_proccess.pl">
                            <TR><TD COLSPAN=3>&nbsp;</TD></TR>
                            <TR>
                                <TD WIDTH=300 align="right">
                                    support link in menu<BR>
                                    <font class="smaller">(<A HREF="support.pl">support.pl</A>)</font>:
                                </TD>
                                <TD WIDTH=10> &nbsp;</TD>
                                <TD>
                                    <INPUT TYPE="radio" CLASS="white" NAME="settings_support_enabled" VALUE="yes" $support_enabled_checked_yes></INPUT>enabled <BR>
                                    <INPUT TYPE="radio" CLASS="white" NAME="settings_support_enabled" VALUE="no" $support_enabled_checked_no></INPUT>disabled<BR>
                                </TD>
                            </TR>
                            <TR><TD COLSPAN=3>&nbsp;<br />&nbsp;</TD></TR>
                            <TR>
                                <TD WIDTH=300 align="right">
                                    administrator's help links in menu<BR>
                                    <font class="smaller">(<A HREF="installation_help.pl">installation&nbsp;help</A>,
                                     <A HREF="archiv_expansion_help.pl">archiv&nbsp;expansion&nbsp;help</A>,
                                     <A HREF="settings_help.pl">settings&nbsp;&amp;&nbsp;tools&nbsp;help</A>,
                                     <A HREF="support_help.pl">support&nbsp;help</A>,
                                     <A HREF="release_notes.pl">release&nbsp;notes</A>)</font>:
                                </TD>
                                <TD WIDTH=10>&nbsp;<br />&nbsp;</TD>
                                <TD>
                                    <INPUT TYPE="radio" CLASS="white" NAME="settings_help_enabled" VALUE="yes" $help_enabled_checked_yes></INPUT>enabled <BR>
                                    <INPUT TYPE="radio" CLASS="white" NAME="settings_help_enabled" VALUE="no" $help_enabled_checked_no></INPUT>disabled<BR>
                                </TD>
                            </TR>
                            <TR><TD COLSPAN=3>&nbsp;<br />&nbsp;</TD></TR>
                            <TR>
                                <TD WIDTH=300 align="right">
                                    email:
                                </TD>
                                <TD WIDTH=10> &nbsp;</TD>
                                <TD>
                                    <INPUT TYPE="TEXT" WIDTH="20" NAME="settings_email" VALUE="$ins_obj->{conf}->{conf}->{email}"></INPUT>
                                </TD>
                            </TR>
                            <TR><TD COLSPAN=3>&nbsp;<br />&nbsp;</TD></TR>
                            <TR>
                                <TD WIDTH=300 align="right">
                                    SMTP server:
                                </TD>
                                <TD WIDTH=10> &nbsp;</TD>
                                <TD>
                                    <INPUT TYPE="TEXT" WIDTH="20" NAME="settings_SMTP" VALUE="$ins_obj->{conf}->{conf}->{SMTP}"></INPUT>
                                </TD>
                            </TR>
                            <TR><TD COLSPAN=3>&nbsp;<br />&nbsp;</TD></TR>
                            <TR>
                                <TD WIDTH=300 align="right">
                                    new password for the user 'admin':
                                </TD>
                                <TD WIDTH=10> &nbsp;</TD>
                                <TD>
                                    <INPUT TYPE="password" WIDTH="20" NAME="settings_new_password"></INPUT>*
                                </TD>
                            </TR>
                            <TR><TD COLSPAN=3>&nbsp;<br />&nbsp;</TD></TR>
                            <TR>
                                <TD WIDTH=300 align="right">
                                    confirm new password for the user 'admin':
                                </TD>
                                <TD WIDTH=10> &nbsp;</TD>
                                <TD>
                                    <INPUT TYPE="password" WIDTH="20" NAME="settings_confirm_new_password"></INPUT>*
                                </TD>
                            </TR>
                            <TR><TD COLSPAN=3>&nbsp;<br />&nbsp;</TD></TR>
                            <TR>
                                <TD WIDTH=300>
                                    &nbsp;
                                </TD>
                                <TD WIDTH=10> &nbsp;</TD>
                                <TD>
                                    <INPUT TYPE="submit" VALUE="OK"></INPUT>
                                </TD>
                            </TR>
                            <TR><TD COLSPAN=3>&nbsp;<br />&nbsp;</TD></TR>
                            <TR>
                                <TD COLSPAN=3>
                                    <SMALL>* - if you leave this fields blank the password will stay unchanged.</SMALL>
                                </TD>
                            </TR>
                            <TR><TD COLSPAN=3>&nbsp;</TD></TR>
                        </FORM>
                        </TABLE>
!;

$ins_obj->insert_foot();
